import request from '@/utils/httpRequest'
// import { ASSESS_PATH as prefix } from "../AppPath";
import { FINANCE_PATH as prefix } from "../AppPath";

export default class ReimbursementService {
  list (param) {
    return request({
      url: prefix + '/reimbursement/info/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: prefix + '/reimbursement/info/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/reimbursement/info/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix + '/reimbursement/info/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/reimbursement/info/updateStatusById',
      method: 'post',
      data: param
    })
  }
  checkNumber (number) {
    return request({
      url: prefix + '/reimbursement/info/checkNumber',
      method: 'get',
      params: {number: number}
    })
  }
  userTree (name) {
    return request({
      url: prefix + '/reimbursement/info/userTree',
      method: 'get',
      params: {name: name}
    })
  }
  userTreeNew (name) {
    return request({
      url: prefix + '/reimbursement/info/userTreeNew',
      method: 'get',
      params: {name: name}
    })
  }
  exportFile (params) {
    return request({
      url: prefix + '/reimbursement/info/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
	exportInvoiceReimbursementFile (params) {
    return request({
      url: prefix + '/reimbursement/info/exportInvoiceReimbursementFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
  queryByProIds (ids) {
    return request({
      url: prefix + '/reimbursement/info/queryByProIds',
      method: 'get',
      params: {ids: ids}
    })
  }
	getEffectiveDataByInvoiceNumber (invoiceNumber,id) {
		return request({
			url: prefix + '/reimbursement/info/getEffectiveDataByInvoiceNumber',
			method: 'get',
			params: {invoiceNumber: invoiceNumber,id:id}
		})
	}
}
